## binkd 0.9.3

=== mkfls/amiga/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 CC=gcc
 DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
 CFLAGS=$(DEFINES) -Wall -resident -O
-SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c
-OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o
+SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c
+OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o
 all: binkd
 .c.o:
 	$(CC) -c $(CFLAGS) $*.c
