=== mkfls/os2-wc/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-# from "Pavel Gulchouck" <gul@lucky.carrier.kiev.ua>
+# from "Pavel Gulchouck" <gul@gul.kiev.ua>
+# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
 
 .SUFFIXES:
 .SUFFIXES: .res .rc .lst .obj .c .asm .hlp .itl .ipf .cpp
@@ -8,11 +9,11 @@
 
 AFLAGS  = /Mx -t -z
 ASM     = ml /c /Zm
-LFLAGS  = /bm /k64k
-CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP /w4 /ox /bm
+LFLAGS  = /bm /k1024k
+CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_SNPRINTF -Dsnprintf=_bprintf -Dvsnprintf=_vbprintf -DIBMTCPIP -DVOID_SLEEP -DHTTPS /w4 /ox /bm # -DWATCOMC_CLOSEDIR_BUG
 LINK    = wcl386
-SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c   xalloc.c   setpttl.c
-OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj xalloc.obj setpttl.obj
+SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c   xalloc.c   setpttl.c   https.c   md5b.c   crypt.c
+OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj xalloc.obj setpttl.obj https.obj md5b.obj crypt.obj
 
 .c.obj:
 	$(CC) $(CFLAGS) $*.c
@@ -42,6 +43,9 @@
 prothlp.obj:  prothlp.c     .AUTODEPEND
 iptools.obj:  iptools.c     .AUTODEPEND
 run.obj:      run.c         .AUTODEPEND
+https.obj:    https.c       .AUTODEPEND
+md5.obj:      md5.c         .AUTODEPEND
+crypt.obj:    crypt.c       .AUTODEPEND
 tcperr.obj:   os2\tcperr.c  .AUTODEPEND
 
 gettid.obj: os2\gettid.c
@@ -57,4 +61,4 @@
 	$(LINK) $(LFLAGS) /fe=$@ $(OBJS) so32dll.lib tcp32dll.lib
 
 clean:  .SYMBOLIC
-	-del /n *.RES *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul
+	-del /n *.RES *.obj os2\*.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul
