## binkd 0.9.8

=== mkfls/amiga/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
+# $Id: Makefile,v 2.3 2003/03/01 18:46:05 gul Exp $
 #
 CC=gcc
-DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
+DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_IOCTL_H -DOS="\"Amiga\"" -DHAVE_WAITPID -DHTTPS -DAMIGADOS_4D_OUTBOUND
 CFLAGS=$(DEFINES) -Wall -resident -O
 SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c
 OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o https.o md5b.o crypt.o
