=== mkfls/os2-icc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 CC=icc
-DEFINES=-DHAVE_THREADS -DOS2 -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP -DHTTPS
+DEFINES=-DHAVE_THREADS -DOS2 -DIBMC -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP -DHTTPS -D_ReleaseSem=release_sem
 CFLAGS=$(DEFINES) /Gm+ /Q /c /Ss
 LFLAGS=$(DEFINES) /Gm+ /Q /B"/noi /pm:vio /st:64000"
