=== debian/changelog ===
binkd (0.9.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not fail to purge if /var/log/binkd does not exist.  (Closes: #679590)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2013 11:50:04 +0100

binkd (0.9.11-1) unstable; urgency=low

  * New upstream release, with minor bug fixes.
  * Suppress error messages from the init script when inetd.conf does
    not exist. (Closes: #628176, #661339)
  * Enabled support for NTLM proxy authentication.
  * Added support for dpkg-buildflags and enhanced hardening.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 03:27:17 +0200

binkd (0.9.9+rel-2) unstable; urgency=medium

  * Fixed FTBFS. (Closes: #492091)

 -- Marco d'Itri <md@linux.it>  Fri, 25 Jul 2008 03:32:36 +0200

binkd (0.9.9+rel-1) unstable; urgency=medium

  * New upstream release, with minor bug fixes.
  * I AM LOOKING FOR A CO-MAINTAINER!
  * Added binkdlogstat(8), contributed by Zhenja Kaluta. (Closes: #307046)
  * Fixed binkdlogstat with a patch from Pavel Vinogradov to report
    transferred files in kbytes. (Closes: #415352)
  * Use the complete path of binkd.inc in binkd.cfg. (Closes: #442207)
  * Enabled HTTPS proxy support. (Closes: #446459)
  * Do not fail if update-inetd is not installed. (Closes: #466114)
  * Merged NMUs. (Closes: #469268)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Jul 2008 19:36:44 +0200

binkd (0.9.9+20060809-1.2) unstable; urgency=low

  * Followup Non-maintainer upload to solve release goal.
  * Drop patch to include update-inetd, as the maintainer
    do not want it.  See #469268 for info.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 22:08:04 +0200

binkd (0.9.9+20060809-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #469268).
  * Add update-inetd as dependency.  Based on patch from Lionel
    Porcheron and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 19:38:16 +0200

binkd (0.9.9+20060809-1) unstable; urgency=medium

  * New upstream snapshot.
  * I AM LOOKING FOR A CO-MAINTAINER!

 -- Marco d'Itri <md@linux.it>  Fri, 25 Aug 2006 19:50:50 +0200

binkd (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * I AM LOOKING FOR A CO-MAINTAINER!

 -- Marco d'Itri <md@linux.it>  Sat,  9 Apr 2005 19:05:59 +0200

binkd (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon,  1 Dec 2003 11:04:12 +0100

binkd (0.9.5b-1) unstable; urgency=low

  * New upstream snapshot.
  * Fixed prerm and init script (Closes: #145872, #145874).

 -- Marco d'Itri <md@linux.it>  Tue,  7 Jan 2003 19:26:35 +0100

binkd (0.9.5a-4) unstable; urgency=medium

  * Fixed ftrans (Closes: #139055).

 -- Marco d'Itri <md@linux.it>  Sun, 24 Mar 2002 22:52:25 +0100

binkd (0.9.5a-3) unstable; urgency=medium

  * Fixed spelling error in description (Closes: #124454).
  * Fixed pidfile name in binkd.cfg (Closes: #130110).

 -- Marco d'Itri <md@linux.it>  Sun, 24 Feb 2002 17:22:47 +0100

binkd (0.9.5a-1) unstable; urgency=low

  * New upstream release (Closes: #103148).

 -- Marco d'Itri <md@linux.it>  Sun, 16 Sep 2001 23:18:44 +0200

binkd (0.9.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103148

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

binkd (0.9.4-2) unstable; urgency=low

  * Fix breakage in inetd-mode introduced by an old patch.

 -- Marco d'Itri <md@linux.it>  Fri, 17 Nov 2000 22:02:09 +0100

binkd (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 26 Sep 2000 18:49:33 +0200

binkd (0.9.3-4) unstable; urgency=low

  * Updated to new policy.
  * Fixed /etc/init.d/binkd.
  * Added logrotate support.

 -- Marco d'Itri <md@linux.it>  Sat,  9 Sep 2000 17:58:04 +0200

binkd (0.9.3-3) unstable; urgency=low

  * Moved to section comm.
  * Made FHS compliant.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Oct 1999 11:42:41 +0200

binkd (0.9.3-2) unstable; urgency=low

  * Fixed typo in doc-base data (closes: #42658).

 -- Marco d'Itri <md@linux.it>  Sun,  8 Aug 1999 22:04:10 +0200

binkd (0.9.3-1) unstable; urgency=low

  * Added log analyzer.
  * New upstream release.
  * Fixed init.d script (closes #41701).
  * Added HTML manual.

 -- Marco d'Itri <md@linux.it>  Sat, 31 Jul 1999 11:41:48 +0200

binkd (0.9.2-4) frozen unstable; urgency=low

  * Fixed description and priority (closes BUG#30047).
  * Fixed binkd.inc path in binkd.cfg.
  * Made /etc/init.d/binkd policy compliant.

 -- Marco d'Itri <md@linux.it>  Mon, 30 Nov 1998 20:42:51 +0100

binkd (0.9.2-3) frozen unstable; urgency=low

  * Moved to hamm/comms.
  * Corrected bug similar to Bug#20073.

 -- Marco d'Itri <md@linux.it>  Mon, 23 Mar 1998 12:50:28 -0800

binkd (0.9.2-2) frozen unstable; urgency=low

  * Compiled for glibc2.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Mar 1998 13:17:40 -0800

binkd (0.9.2-1) unstable; urgency=low

  * Now all FTN programs use static UID and GID 64000 (#15155).
  * binkd.cfg (main file) and binkd.inc (session passwords) become the only
    config files.
  * Removed my man page, now binkd comes with his one
  * New upstream release

 -- Marco d'Itri <md@linux.it>  Sun, 28 Dec 1997 01:19:19 +0100

binkd (0.9.1-1) unstable; urgency=low

  * Written a man page.
  * The original configuration file binkd.cfg is broken in:
    binkd.common.cf: the main file
    binkd.cf: used when binkd is started from the console
    binkd.in.cf: used when binkd is started as a demon or by inetd or cron
    binkd.inc: contains the session passwords
    The system administrator can also save the official nodelist as binkd.nl
  * Initial Release.

 -- Marco d'Itri <md@linux.it>  Fri, 22 Aug 1997 01:05:36 +0200
