=== debian/control ===
Source: binkd
Section: comm
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1

Package: binkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, adduser
Description: FidoTech TCP/IP mailer
 Binkd is a FidoTech mailer designed for use over TCP/IP.
 .
 This program is NOT an internet mail transfer agent.
 If you don't know what it is, you don't need it.
